package com.brilliance.isc.common.quemod.service;

import com.brilliance.isc.bo.Dia;
import com.brilliance.isc.bo.Que;
import com.brilliance.isc.bo.Spt;
import com.brilliance.isc.bo.Trn;

public interface QuemodService {
    void updateBySpt(Spt spt);

    void insertBySpt(Spt spt,Trn trn,String status);

    void deleteAllByTrn(Trn trn);

    void saveEntryByDia(Dia argDia);

    void insertByTrn(Trn trn,String branch,String flowstatus);

    void insertByTrnConfirm(Trn argTrn);

    void updateByTrn(Trn trn);

   void updateQueStatus(Que que, String status);

    void sptQueUpdateStatus(Spt argSpt,String status);

    void trnQueUpdateStatus(Trn argTrn,String status);

    void sptSaveEntryForRepair(Spt argSpt, Trn rec, String argSta, String objName);

    void sptSaveEntryBySptRepair(Spt argSpt, Spt oriSpt, String argSta, String objName);

    void setAutoFlag(Spt spt,String autoFlag);

    void setAutoFlagByQueinr(String queinr,String autoFlag);
}
